import {postAction,getAotion,downFilePost} from '@/api/manage'
const prefix = '/manager/ciop';

// 获取活动列表
let getList = (params) => postAction(prefix + "/salesList/list" , params);

// 删除
let deleteOrder = (params) => postAction(prefix + "/salesList/deleteOrder" , params);

// 下载放号上传模板
let downloadTemplateFH = (params) => downFilePost(prefix + "/salesList/downloadTemplateFH" , params);

// 下载充值审核模板
let downloadTemplateCZ = (params) => downFilePost(prefix + "/salesList/downloadTemplateCZ" , params);


// 获取县分下拉列表
let getSubstList = (params) => postAction(prefix + "/school/schoolManagement/substList" , params);

// 获取学校下拉列表
let getSchoolList = (params) => postAction(prefix + "/school/schoolManagement/schoolList" , params);

// 下载导入结果清单
let downloadResult = (params) => downFilePost(prefix + "/salesList/exportResult" , params);

// 导出订单
let exportList = (params) => downFilePost(prefix + "/salesList/exportOrderList" , params);

export {
    getList,deleteOrder,getSubstList,getSchoolList,downloadTemplateFH,downloadTemplateCZ,
    downloadResult,exportList
}
